Blackboard Client Requirements

If you are using the Blackboard system as a student or instructor, your computer must meet certain requirements. Below you will find information published by Blackboard that shows what works with Blackboard and what doesn't. It is the responsibility of the student to make sure that these requirements are met with both the operating system and web browser. It is especially important that you are prepared to meet these requirements if you are taking an online course.  

Also, it is important that our Blackboard server, blackboard.niagara.edu, is not blocked out by any of your security settings and that it is exempt from any pop-up blocker you may have on your computer. The virtual classroom and chat functionaties use Java technology (see below for those requirements) and also open up the application in a new window. If your computer is blocking this pop-up window, you will not be able to use the virtual classroom or chat functions. Please verify that this works prior to entering the virtual chatroom and if needed, contact our help desk during regular help desk hours for assistance. We can often help troubleshoot your issues quickly. Please also note that it is very easy on Windows computers to end up with multiple pop-up blockers, so disabling one doesn't disable them all. Also, many spyware programs include pop-up blockers that can interfere with or redirect pop-up windows. Please make sure your computer meets these requirements and is in working order with the proper configurations prior to any scheduled online class.

One last thing that should be mentioned is that the virtual classroom uses ports other than standard web ports, and if you are using a firewall like Windows Firewall or are behind a corporate firewall, you will need ports 80, 443, 1433, 1376, 8000, 8007, and 8443 open for use.

Supported End-User Technologies - Blackboard Learn 9.1, Service Pack 13

  • Certified: Fully tested and supported.
  • Compatible: Partially tested but should function properly.
  • Unsupported: Either unsupported by the vendor or not tested.

Windows Operating System

 IE 10IE 9IE8Firefox (ESR)Firefox (Final Release Channel)Chrome (Stable Channel)
Windows XP (32-bit)* Unsupported by Microsoft Unsupported by Microsoft Compatible Certified Compatible Compatible
Windows Vista (32-bit) Unsupported by Microsoft Certified Compatible Certified Certified Compatible
Windows Vista (64-bit) Unsupported by Microsoft Compatible Compatible Certified Compatible Compatible
Windows 7 (32-bit) Compatible Certified Compatible Certified Certified Certified
Windows 7 (64-bit) Certified Certified Compatible Certified Certified Certified
Windows 8 (32-bit) Compatible Unsupported by Microsoft Unsupported by Microsoft Certified Certified Certified
Windows 8 (64-bit) Certified Unsupported by Microsoft Unsupported by Microsoft Certified Certified Certified

Mac OSX Operating System

 Safari 6.0.3Safari 6.0.1Safari 5.1Safari 5.0Safari 4.0Firefox (ESR)Firefox (Final Release Channel)
Mac OSX 10.6 Unsupported by Apple Unsupported by Apple Certified Certified Compatible Certified Certified
Mac OSX 10.7 Certified Certified (10.7.5) Certified Unsupported by Apple Unsupported by Apple Certified Certified
Mac OSX 10.8 Certified (10.8.3) Certified (10.8.2) Certified Unsupported by Apple Unsupported by Apple Certified Certified

Configuration Notes:

  • Microsoft SQL Server 2008(R1) will not be supported past SP11.
  • 64-bit Client Operating Systems: We are generally un-prepared to test 64-bit versions of client operating systems. We will continue to keep Windows XP 64-bit unlisted. 64-bit Windows Vista and Windows 7 will remain Compatible [June 2011]
  • Internet Explorer 8 is only supported in Standards Mode.
  • Internet Explorer 9 is only supported in Standards Mode.
  • Blackboard strives to make all its products as accessible as possible. JAWS 13 and 14 were used during accessibility testing of 9.1 SP13.
  • Chrome support: due to the auto-update feature of Chrome, support is based on the version available at the time of testing. 9.1 SP13 was tested with Chrome 26.0.x.
  • Firefox support: due to the auto-update feature of Firefox, support is based on the version available at the time of testing. 9.1 SP13 was tested with Firefox versions 20.0.x and 17.0.x (ESR).
  • Note on OSX 1.8 Java is no longer shipped as part of the OS install and must be downloaded and installed by users on request of application/applet - this is a one time action on the part of the user.

Client Technology Highlights of Changes from Previous Service Packs

  • OSX 10.8/Safari 6.x support added
  • Windows 8 and IE10 support added (focus on 64 bit)

Technologies NOT supported

  • Internet Explorer 6, 7
  • Firefox 1.x, 2.0, 3.0, 3.5 and 3.6
  • Safari 2.0, 3.x (or any version on Windows)
  • Windows XP 64-bit (unlisted)
  • Mac OSX 10.3, OSX 10.4, OSX 10.5
  • Jre 5 though it may continue to work